# DataExchange
TKSTEP
StepAP214

# StepAP214_DocumentReferenceItem Class Reference

`#include <StepAP214_DocumentReferenceItem.hxx>`

Inheritance diagram for StepAP214_DocumentReferenceItem:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepAP214_DocumentReferenceItem ()
| Returns a DocumentReferenceItem SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a DocumentReferenceItem Kind Entity that is : .
Standard_EXPORT Handle_StepBasic_Approval | Approval () const
| returns Value as a Approval (Null if another type)
Standard_EXPORT Handle_StepRepr_DescriptiveRepresentationItem | DescriptiveRepresentationItem () const
| returns Value as a (Null if another type)
Standard_EXPORT Handle_StepRepr_MaterialDesignation | MaterialDesignation () const
| returns Value as a MaterialDesignation (Null if another type)
Standard_EXPORT Handle_StepBasic_ProductDefinition | ProductDefinition () const
| returns Value as a ProductDefinition (Null if another type)
Standard_EXPORT Handle_StepBasic_ProductDefinitionRelationship | ProductDefinitionRelationship () const
| returns Value as aProductDefinitionRelationship (Null if another type)
Standard_EXPORT Handle_StepRepr_PropertyDefinition | PropertyDefinition () const
| returns Value as a PropertyDefinition (Null if another type)
Standard_EXPORT Handle_StepRepr_Representation | Representation () const
| returns Value as a Representation (Null if another type)
Standard_EXPORT Handle_StepRepr_ShapeAspect | ShapeAspect () const
| returns Value as a ShapeAspect (Null if another type)
Standard_EXPORT Handle_StepRepr_ShapeAspectRelationship | ShapeAspectRelationship () const
| returns Value as a ShapeAspectRelationship (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_DocumentReferenceItem::StepAP214_DocumentReferenceItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_Approval StepAP214_DocumentReferenceItem::Approval | ( |  | ) | const

Standard_EXPORT Standard_Integer StepAP214_DocumentReferenceItem::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT Handle_StepRepr_DescriptiveRepresentationItem StepAP214_DocumentReferenceItem::DescriptiveRepresentationItem | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_MaterialDesignation StepAP214_DocumentReferenceItem::MaterialDesignation | ( |  | ) | const

void StepAP214_DocumentReferenceItem::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepAP214_DocumentReferenceItem::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepAP214_DocumentReferenceItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepBasic_ProductDefinition StepAP214_DocumentReferenceItem::ProductDefinition | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_ProductDefinitionRelationship StepAP214_DocumentReferenceItem::ProductDefinitionRelationship | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_PropertyDefinition StepAP214_DocumentReferenceItem::PropertyDefinition | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_Representation StepAP214_DocumentReferenceItem::Representation | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_ShapeAspect StepAP214_DocumentReferenceItem::ShapeAspect | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_ShapeAspectRelationship StepAP214_DocumentReferenceItem::ShapeAspectRelationship | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepAP214_DocumentReferenceItem.hxx